Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entry.validator
Interface JobEntryValidator

All Known Implementing Classes:
  AbstractFileValidator, AndValidator, EmailValidator, FileDoesNotExistValidator, FileExistsValidator, IntegerValidator, LongValidator, NotBlankValidator, NotNullValidator

    public interface JobEntryValidator

The interface of a job entry validator.

Job entry validators can provide convenience methods for adding information to the validator context. Those methods should following a naming convention: putX where X is the name of the object being adding to the context. An example:

- ValidatorContext putSomeObject(Object someObject)
- void putSomeObject(ValidatorContext context, Object someObject)

Author:
  mlowery

Field Summary
`static String` | `KEY_LEVEL_ON_FAIL`

Method Summary
`String` | `getName()` Returns the name of this validator, unique among all validators.
`boolean` | `validate(org.pentaho.di.core.CheckResultSourceInterface source, String propertyName, List<org.pentaho.di.core.CheckResultInterface> remarks, ValidatorContext context)` Using reflection, the validator fetches the field named `propertyName` from the bean `source` and runs the validation putting any messages into `remarks`.

Field Detail

### KEY_LEVEL_ON_FAIL

    static final String KEY_LEVEL_ON_FAIL

See Also:
  Constant Field Values

Method Detail

### validate

    boolean validate(org.pentaho.di.core.CheckResultSourceInterface source,
                     String propertyName,
                     List<org.pentaho.di.core.CheckResultInterface> remarks,
                     ValidatorContext context)

  Using reflection, the validator fetches the field named `propertyName` from the bean `source` and runs the validation putting any messages into `remarks`. The return value is `true` if the validation passes.

  Parameters:
    `source` - bean to validate
    `propertyName` - property to validate
    `remarks` - list to which to add messages
    `context` - any other information needed to perform the validation
  Returns:
    validation result

### getName

    String getName()

  Returns the name of this validator, unique among all validators.

  Returns:
    name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD